Categories:
  - Writing
License: AGPL-3.0-only
AuthorName: Linwood
AuthorEmail: admin@linwood.dev
SourceCode: https://github.com/LinwoodDev/Butterfly
IssueTracker: https://github.com/LinwoodDev/Butterfly/issues
Translation: https://linwood.crowdin.com/butterfly
Changelog: https://github.com/LinwoodDev/Butterfly/blob/develop/CHANGELOG.md

AutoName: Butterfly

RepoType: git
Repo: https://github.com/LinwoodDev/Butterfly.git

Builds:
  - versionName: 1.4.0-alpha.3
    versionCode: 30
    commit: 483e0a80c3118a1c495ccd088c6118c597d32848
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-beta.0
    versionCode: 31
    commit: 6e2744f7639331025e98b34380be5d3e4701962f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-rc.1
    versionCode: 34
    commit: 9dea98e2feaa8651d239ce3a5c388813bcb83f29
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-rc.2
    versionCode: 35
    commit: ce4e5d2097400e5fd5323583302f87691562c111
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-rc.3
    versionCode: 36
    commit: 279d6343c30d1140321306b38c2d5e7267d54bf0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0
    versionCode: 37
    commit: 5b3f7d598278675f7bfac2cd79f6d80fa487a6f2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.1
    versionCode: 38
    commit: 583a1ce7bb04452f373d27c781f5e3f041cc6c6a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.2
    versionCode: 39
    commit: 3f7585f80c48b53bc603d9c25d06b23b9f6828ac
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.3
    versionCode: 40
    commit: 043d800fa82f9139f4bc62790561cc04c0c65133
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-alpha.0
    versionCode: 41
    commit: 776cad8727f93c0334ebe25335bce33d9d863d8b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.0-0.5.pre
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-alpha.1
    versionCode: 42
    commit: 359472e5e688e84668601fb81064829f77ac3ee6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-alpha.2
    versionCode: 43
    commit: efdcc96302804200af29b5e73ea5023fa64998ba
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.4
    versionCode: 44
    commit: 638434de59078b2a1e2d9a32874ec9bbfd4a5c86
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-beta.0
    versionCode: 45
    commit: 2f5af50991364cf50662035c305132cbe1276c91
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-beta.1
    versionCode: 46
    commit: 4bf91832be5119a23de965b853fad939961b7ef8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-beta.2
    versionCode: 47
    commit: 98fea4f3f2e6a92ef27052b8fda6b59c25583a83
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-rc.0
    versionCode: 48
    commit: 04ffb9f2a9ddedcaa3ae8e5830bf82048767ca4c
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0
    versionCode: 50
    commit: 1ad1428ba3b0ec5a7fd50048091a2a8b2e226d7a
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.1
    versionCode: 51
    commit: be6465d0e60ce59c37c852558d8c4fa2fa0704a9
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.0-alpha.0
    versionCode: 52
    commit: 367e05e5b9f1530db238c827e117a6777aaf5c78
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.0-alpha.1
    versionCode: 53
    commit: 6bc8793a63636b783ef8bf297f094bb781167be3
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.0-beta.0
    versionCode: 54
    commit: 2f4975daa125e79188fc2cf6c0e2e9dd1c3b75c3
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.0-rc.0
    versionCode: 55
    commit: 7daa5fcebc4aa0d607413178c0cf2e82dd40122c
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.0-rc.1
    versionCode: 56
    commit: 4044d8c66cea9cfa3b29588bf024cfe256a2d328
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.0
    versionCode: 57
    commit: 32e3c496ffde90b2257500c588b27efa3625c71c
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.6.1
    versionCode: 58
    commit: 13c6348889f8edc30d54fe7b4c76a52430ea7bc8
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-alpha.0
    versionCode: 59
    commit: d279893ccda299cede450eecfbbbaab4399749e3
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-alpha.1
    versionCode: 60
    commit: c778621c3306ec92728f9db58d549059dbd2bd68
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-alpha.2
    versionCode: 61
    commit: ccc05cec15abee44d79ceb2837040bef8b1d3feb
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-alpha.3
    versionCode: 62
    commit: 362888bd254f25ea3ef0e61112e4c6eebbb3f107
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-alpha.4
    versionCode: 63
    commit: e7313ca82f41760bd6d8732718d1dda7de3b1dd4
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.0
    versionCode: 64
    commit: 6853e95477559005d3e3e0949e67abfa5b061b0d
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.1
    versionCode: 65
    commit: a66713a576ce8a40feca7ef1c44a5245e3bcba15
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.2
    versionCode: 66
    commit: 185dba745ee47cbf4760b02704ac527ab0affbd9
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.3
    versionCode: 67
    commit: 93c68169dc53f507ae6d4b46c40d99f89f4217a3
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.4
    versionCode: 68
    commit: e9dc2a0e80c9cfb3589befee296ae27d5932379c
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.5
    versionCode: 69
    commit: 6fae0c01ce777a16539a3c73934e26ac9aca3c70
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.6
    versionCode: 70
    commit: 36346eb1773fbf99696106e13ba8a181d94ad24f
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.7
    versionCode: 71
    commit: ca5dd2b0d69b79da578cdcba197faf36ae7a82a1
    subdir: app
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.8
    versionCode: 72
    commit: b3350a9a21b00cf099de3e1176ced8b5e92ea88a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.9
    versionCode: 73
    commit: 23f6c233fc77c4ae6552accc53bbb29f65137e89
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.10
    versionCode: 74
    commit: 006759704569eb6db91957ec2c8a8ec33386aa3e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.11
    versionCode: 75
    commit: 77bce14151eae9fe6fd2708e575b48c3b7360b73
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.12
    versionCode: 76
    commit: 72f05b7ad25595752fa5ff332514667bc6d77a44
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.13
    versionCode: 77
    commit: 76d62b94cebc66fe6c0dee88e48193e7af364faf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.14
    versionCode: 78
    commit: 4a9ba8b2832d5a28b486cda484e9bfb1756c306f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.15
    versionCode: 79
    commit: 3ee6e01fd0784b342193b47d7443f04149b17c8a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-beta.16
    versionCode: 80
    commit: 5ffecf077ba520d926ac79e0cc1571e8391f546f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 2.0.0-rc.0
    versionCode: 81
    commit: 32017257dd624b85af3302123cd03a42c47eacda
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild:
      - export version=$(cat ../FLUTTER_VERSION)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor nightly

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.+$
UpdateCheckData: app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.0.0-rc.0
CurrentVersionCode: 81
